﻿<AML>
 <Item type="Report" id="C10AB3B2F9A54599B8C2F9333F01133F" action="add">
  <location>client</location>
  <report_query><![CDATA[<AML>
<Item type="acc_sr_zr_oss_exempt_report" action="get" select="id,acc_from_date,acc_to_date,acc_invoice_amount_gst,acc_gst_per_invoice,acc_tax_title,acc_tax_sub_title,erp_company,acc_total_label,acc_order ,acc_invoice_number,acc_invoice_date,acc_invoice_description,acc_paging_no" order_by="acc_tax_sub_title">

</Item>
</AML>]]></report_query>
  <target>window</target>
  <type>itemtype</type>
  <xsl_stylesheet><![CDATA[<?xml version="1.0"?><xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:msxsl="urn:schemas-microsoft-com:xslt" xmlns:user="urn:user-scripts" xmlns:aras="http://www.aras.com" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns:dt="urn:schemas-microsoft-com:datatypes" xmlns:ns1="http://www.example.org" version="1.0">
		  <xsl:decimal-format name="euro" decimal-separator="." grouping-separator=","/>
		 <xsl:key name="key_tax_title" match="Result/Item" use="acc_tax_title"/>
		<xsl:key name="key_tax_sub_title" match="Result/Item" use="acc_tax_sub_title"/>
		<xsl:key name="acc_invoice_number" match="Result/Item" use="acc_invoice_number"/>
		   <xsl:output method="html" omit-xml-declaration="yes" standalone="yes" indent="yes" cdata-section-elements="script msxsl:script"/>
		  <xsl:template match="/Result">
			    <html>
				      <head>      </head>
				      <style type="text/css" userData="Global">
					              boxednobolder {
					      position: relative;
					      width:100%;
					      }
					      table.simple {
					      border-collapse:collapse;
					      border-color: #000000;
					     border-style:solid;border-width:1px;
					          }
					td.currency{
					text-decoration: underline;
					text-align:right;
					}
					table td{
					   table-layout: fixed;
					   word-break: break-all;
					   word-wrap: break-word;
					}
					td.taxtitle{
					font-weight:bold;
					font-size:15pt;
					color:#4d94ff;
					}
					td.taxsubtitle{
					text-align:right;
					text-decoration:overline;
					}
					td.totalline{
					text-decoration:underline overline;
					font-weight:bold;
					text-align:right
					}
					table.temp {font-family:Time New Roman;font-size:14pt;}
					.cellSolid {
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					border-bottom:1px #000000 solid;
					border-left:1px #000000 solid;
					}
					.cellSolidTopRight {
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					}
					.cellSolidTopLeft {
					border-top:1px #000000 solid;
					border-left:1px #000000 solid;
					}
					.cellSolidRightBottom {
					border-right:1px #000000 solid;
					border-bottom:1px #000000 solid;
					}
					.cellSolidBottomLeft {
					border-bottom:1px #000000 solid;
					border-left:1px #000000 solid;
					}
					.cellSolidTop {
					border-top:1px #000000 solid;
					}
					.cellSolidRight {
					border-right:1px #000000 solid;
					}
					.cellSolidBottom {
					border-bottom:1px #000000 solid;
					}
					.cellSolidLeft {
					border-left:1px #000000 solid;
					}
					.cellDashed {
					border-top:1px #666666 dashed;
					border-right:1px #666666 dashed;
					border-bottom:1px #666666 dashed;
					border-left:1px #666666 dashed;
					}
					.cellDashedTopRight {
					border-top:1px #666666 dashed;
					border-right:1px #666666 dashed;
					}
					.cellDashedTopLeft {
					border-top:1px #666666 dashed;
					border-left:1px #666666 dashed;
					}
					.cellDashedBottomRight {
					border-bottom:1px #666666 dashed;
					border-right:1px #666666 dashed;
					}
					.cellDashedBottomLeft {
					border-bottom:1px #666666 dashed;
					border-left:1px #666666 dashed;
					}
					.cellDashedTop {
					border-top:1px #666666 dashed;
					}
					.cellDashedRight {
					border-right:1px #666666 dashed;
					}
					.cellDashedBottom {
					border-bottom:1px #666666 dashed;
					}
					.cellDashedLeft {
					border-left:1px #666666 dashed;
					}
					.cellHeader {
					border-top:1px #000000 solid;
					border-left:1px #000000  solid;
					border-right:1px #000000  solid;
					border-bottom:1px #000000 solid;
					text-align:center;
					text-align:center;
					font-weight:bold;
					font-size:12pt;
					 font-family:Time New Roman;
					 height:30;
					 align:center;
					                                        }
					                                        .cellHeaderVertBT {
					background-color:#CCCCCC;
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					border-bottom:1px #000000 solid;
					border-left:1px #000000 solid;
					padding:2px;
					writing-mode:tb-rl;filter: flipv fliph;
					text-align:center;
					text-transform:capitalize;
					text-align:center;
					font-family:helvetica;
					font-weight:bold;
					font-size:8pt;
					}
					.cellHeaderVertTB {
					background-color:#CCCCCC;
					border-top:1px #000000 solid;
					border-right:1px #000000 solid;
					border-bottom:1px #000000 solid;
					border-left:1px #000000 solid;
					padding:2px;
					writing-mode:tb-rl;filter: flipv flipv;
					text-align:center;
					text-transform:capitalize;
					text-align:center;
					font-family:helvetica;
					font-weight:bold;
					font-size:8pt;
					}
					table.tabledetails{
					border-collapse:collapse;
					border-left:1px #000000 solid ;
					border-right:1px #000000 solid; }
					table.tabledetailsdata{
					border-top: 1px #000000 solid ;
					border-bottom: 1px #000000 solid ; }
					page[size="A4"]
					{
					position: relative;
					background: white;
					display: block;
					box-shadow: 0 0 0.3cm rgba(0,0,0,0.3);
					margin-bottom: 3em;
					margin: 0 auto;
					}
				</style>
				<body topmargin="50" leftmargin="50">
					<page size="A4">
						   <table class="temp" border="0" width="100%">
							        <tr>
								<td align="center" style="font-size:14pt;font-weight:bold;padding-left:10px;">
									<!--<xsl:value-of select="//Item/erp_company/Item/erp_com_name"/>-->
<xsl:value-of select="erp_company"/>

								</td>
							</tr>
							     <tr>
								<td align="center" valign="bottom" style="font-size:14pt;font-weight:bold;">
									GST Report
								</td>
							</tr>
							 <tr>
								<td align="center" valign="bottom" style="font-size:14pt;">Time Period</td>
							</tr>
							 <tr>
								<td align="center" valign="bottom" style="font-size:14pt;">
									From ( <xsl:call-template name="format-date-expanded-header">
										<xsl:with-param name="datetime" select="//Item/acc_from_date"/>
									 </xsl:call-template>
									)
									To
									( <xsl:call-template name="format-date-expanded-header">
										<xsl:with-param name="datetime" select="//Item/acc_to_date"/>
									 </xsl:call-template>
									)
								</td>
							</tr>
						    </table>
						<div class="bottom_div">
							<div class="boxednobolder ">
								<xsl:copy-of select="$ReportHeader"/>
								<xsl:for-each select="//Item[generate-id() = generate-id(key('key_tax_title', acc_tax_title)[1])]">
									<xsl:sort select="acc_tax_sub_title"/>
									<table class="tabledetails" width="100%">
										<tr>
											<td colspan="5" class="taxtitle">
												<xsl:value-of select="acc_tax_title"/>
											</td>
										</tr>
									</table>
									<xsl:for-each select="key('key_tax_title', acc_tax_title)[generate-id() = generate-id(key('key_tax_sub_title',acc_tax_sub_title)[1])]">
										<table class="tabledetails" width="100%">
											<tr>
												<td colspan="5">
													<xsl:value-of select="acc_tax_sub_title"/>
												</td>
											</tr>
										</table>
										<xsl:for-each select="key('key_tax_sub_title', acc_tax_sub_title)[generate-id() = generate-id(key('acc_invoice_number',acc_invoice_number)[1])]">
											 <xsl:sort select="acc_invoice_date"/>
											 <xsl:sort select="acc_invoice_number"/>
											<table class="tabledetails" width="100%">
												<tr valign="top">
													          <td width="15%" align="left" style="padding-left:10px;">
														<xsl:call-template name="format-date-expanded">
															<xsl:with-param name="datetime" select="acc_invoice_date"/>
														 </xsl:call-template>
													</td>
													<td width="15%" align="left">
														<xsl:value-of select="acc_invoice_number"/>
													</td>
													<td align="left" width="40%">
														<xsl:value-of select="acc_invoice_description"/>
													</td>
													<td width="15%" style="text-align:right;">
														<xsl:value-of select="acc_invoice_amount_gst"/>
													</td>
													<td width="15%" style="text-align:right;">
														<xsl:value-of select="acc_gst_per_invoice"/>
													</td>
												</tr>
											</table>
										</xsl:for-each>
										<table class="tabledetails" width="100%">
											<tr>
												<td colspan="3" width="70%" style="text-align:right;font-weight:bold;">
													Sub  Total
												</td>
												<td width="15%" class="taxsubtitle">
													<xsl:if test="string(sum(key('key_tax_sub_title', acc_tax_sub_title)/acc_invoice_amount_gst)) != 'NaN' ">
														<xsl:value-of select="format-number(sum(key('key_tax_sub_title', acc_tax_sub_title)/acc_invoice_amount_gst), '#,##0.00', 'euro')"/>
													</xsl:if>
												</td>
												<td width="15%" class="taxsubtitle">
													<xsl:if test="string(sum(key('key_tax_sub_title', acc_tax_sub_title)/acc_gst_per_invoice)) != 'NaN' ">
														<xsl:value-of select="format-number(sum(key('key_tax_sub_title', acc_tax_sub_title)/acc_gst_per_invoice), '#,##0.00', 'euro')"/>
													    </xsl:if>
												</td>
											</tr>
										</table>
									</xsl:for-each>
									<table class="tabledetails" width="100%">
										<tr>
											<td colspan="3" width="70%" style="font-weight:bold;">
												Grand <xsl:value-of select="acc_total_label"/>
											</td>
											<td width="15%" class="totalline">
												<xsl:if test="string(sum(key('key_tax_title', acc_tax_title)/acc_invoice_amount_gst)) != 'NaN' ">
													<xsl:value-of select="format-number(sum(key('key_tax_title', acc_tax_title)/acc_invoice_amount_gst), '#,##0.00', 'euro')"/>
												</xsl:if>
											</td>
											<td width="15%" class="totalline">
												<xsl:if test="string(sum(key('key_tax_title', acc_tax_title)/acc_gst_per_invoice)) != 'NaN' ">
													<xsl:value-of select="format-number(sum(key('key_tax_title', acc_tax_title)/acc_gst_per_invoice), '#,##0.00', 'euro')"/>
												    </xsl:if>
											</td>
										</tr>
									</table>
									<xsl:if test="position() = last()">
										<table class="tabledetailsdata" width="100%"></table>
									</xsl:if>
								</xsl:for-each>
							     </div>
						 </div>
					</page>
				      </body>
			    </html>
		</xsl:template>
		<xsl:template name="format-date-expanded">
			<xsl:param name="datetime"/>
			<xsl:variable name="date" select="substring-before($datetime, 'T')"/>
			<xsl:variable name="year" select="substring(substring-before($date, '-'),3,4)"/>
			<xsl:variable name="month" select="substring-before(substring-after($date, '-'), '-')"/>
			<xsl:variable name="day" select="substring-after(substring-after($date, '-'), '-')"/>
			<xsl:variable name="time" select="substring-before(substring-after($datetime, 'T'), '.')"/>
			<xsl:value-of select="concat($day, '-' ,$month, '-', $year, ' ', $time)"/>
		  </xsl:template>
		<xsl:template name="format-date-expanded-header">
			<xsl:param name="datetime"/>
			<xsl:variable name="date" select="substring-before($datetime, 'T')"/>
			<xsl:variable name="year" select="substring-before($date, '-')"/>
			<xsl:variable name="month" select="substring-before(substring-after($date, '-'), '-')"/>
			<xsl:variable name="day" select="substring-after(substring-after($date, '-'), '-')"/>
			<xsl:variable name="time" select="substring-before(substring-after($datetime, 'T'), '.')"/>
			                         <xsl:choose>
				           <xsl:when test="$month = 01">
					<xsl:value-of select="concat($day, '-' ,'JAN', '-', $year, ' ', $time)"/>
				</xsl:when>
				           <xsl:when test="$month = 02">
					<xsl:value-of select="concat($day, '-' ,'FEB', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 03">
					<xsl:value-of select="concat($day, '-' ,'MAR', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 04">
					<xsl:value-of select="concat($day, '-' ,'APR', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 05">
					<xsl:value-of select="concat($day, '-' ,'MAY', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 06">
					<xsl:value-of select="concat($day, '-' ,'JUN', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 07">
					<xsl:value-of select="concat($day, '-' ,'JULY', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 08">
					<xsl:value-of select="concat($day, '-' ,'AUG', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 09">
					<xsl:value-of select="concat($day, '-' ,'SEP', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 10">
					<xsl:value-of select="concat($day, '-' ,'OCT', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 11">
					<xsl:value-of select="concat($day, '-' ,'NOV', '-', $year, ' ', $time)"/>
				</xsl:when>
				            <xsl:when test="$month = 12">
					<xsl:value-of select="concat($day, '-' ,'DEC', '-', $year, ' ', $time)"/>
				</xsl:when>
			  </xsl:choose>
		     </xsl:template>
		<!-- variable ReportHeader-->
		<xsl:variable name="ReportHeader">
			<table class="simple" width="100%">
				<tr class="heading">
					<th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">Invoice Date</th>
					<th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">Invoice No</th>
					<th width="40%" class="cellHeader" align="center" uniqueID="ms__id010">Invoice Description</th>
					  <th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">Invoice Amount ( SGD ) </th>
					 <th width="15%" class="cellHeader" align="center" uniqueID="ms__id010">GST Amount ( SGD ) </th>
				</tr>
			</table>
		</xsl:variable>
	</xsl:stylesheet>]]></xsl_stylesheet>
  <name>acc_gst_return_report</name>
 </Item>
</AML>